## WORKING citizens

This theme explores the politics of unequal/unrecognised labour.

Who gets equipped to do work and who doesn’t? What does this tell us about recognition, legitimacy and visibility of different kinds of work? And what can we learn about more ambiguous, informal or liminal spaces in which other kinds of work takes place and how it is valued? The most conventional understanding of work is directly linked to citizenship status. Being a citizen provides the right to work. Work renders visible and legitimizes an individual’s participation and contribution to society. It is a formal recognition of exchange –labour for payment -and comes with rights, responsibilities, entitlements, protection and status. Yet, as argued by feminist technoscientists, there are many kinds of work that goes unseen and undervalued (Schwartz 1983; Wajcman 2004).

Approaching the clothing patent archive to explore how ideas around work are materialized over time and place reveals not only the expected categories of well-prepared and dressed workers (i.e. specific types of laboring men) but also a plethora of other types of less visible work. This broader range of diverse and informal kinds of work makes different types of workers (their concerns and bodies) relevant and visible. This chapter focuses on inventors who combine workwear with other activities –in multiple garments equipping wearers to do more than one type of work and also workwear hidden from view (that conceal intentions and skills) This reveals a workforce faced with more demands, expectations and limitations but also dressed in choice and expanded possibilities.

Examples of patents to be explored in this theme:Chatelaines (externalised artefacts symbolising women’s skills and labour), Factory /Office/Mechanical (early women’s work –ie. overalls vs skirt jobs), Combination/multiplicity (concealed workwear) and caring clothing (for elderly, children).