# Women on the Move

As part of reimagining historical patents project, the Politics of Patents (POP) team, led by Dr Kat Jungnickel, focused on the challenges facing women over time to play sports and live active public lives. They unearthed hundreds of clothing inventions for all kinds of sports and activities in historic patent archives. This data reveals how women and girls have had to creatively and persistently work around barriers to their freedom of movement. Often this required clothing that did more than one thing - enabling them to conform to social norms AND convert into safe and comfortable sportswear. 

![women_otm_fog.jpg](/static/images/women_otm_fog.jpg)

The POP team reconstructed a collection of lesser-known costumes spanning 50 years (1890 to 1940) and invited The Adventure Syndicate and Mòr Diversity to try this collection of reconstructed convertible, reversible, multiple, and hidden sports and activewear in the Scottish hills. Together they went running, jumping, hiking, flying, cycling, swimming, hunting, riding horses, catching trains and driving cars, climbing up and rolling down hills and otherwise put these amazing costumes through their paces. Making and wearing this data, and putting it through its paces, offers another way of entering into embodied conversations with the archive.  

<iframe width="560" height="315" src="https://www.youtube.com/embed/SsS_woEaTeE" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

The short film “Women on the Move” was brought to life by Alice Lemkes, Lee Craigie and Philippa Battye of The Adventure Syndicate and Maciek Tomiczek of Oxford Atelier. 

This film is based on research findings discussed in: Jungnickel, K. (2023). Convertible, multiple and hidden: The inventive lives of women’s sport and activewear 1890–1940. *The Sociological Review*, *0*(0). [https://doi.org/10.1177/00380261231153754](https://doi.org/10.1177/00380261231153754)